package org.wfc.omada.api.sitesetting.model;

import com.fasterxml.jackson.annotation.JsonProperty;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.constraints.NotNull;
import javax.validation.constraints.Pattern;
import java.util.Objects;

/**
 * VirtualWanMacSettingOpenApiVO
 */
@ApiModel(description = "VirtualWanMacSettingOpenApiVO")
@javax.annotation.Generated(value = "org.openapitools.codegen.languages.SpringCodegen", date = "2024-12-04T11:32:19.054+08:00[Asia/Shanghai]")

public class VirtualWanMacSettingOpenApiVo   {
  @JsonProperty("method")
  private String method;

  @JsonProperty("mac")
  private String mac;

  public VirtualWanMacSettingOpenApiVo method(String method) {
    this.method = method;
    return this;
  }

  /**
   * Parameter [method] should be set or recover. Set: Customize MAC address; Recover: Use default MAC address.
   * @return method
  */
  @ApiModelProperty(required = true, value = "Parameter [method] should be set or recover. Set: Customize MAC address; Recover: Use default MAC address.")
  @NotNull


  public String getMethod() {
    return method;
  }

  public void setMethod(String method) {
    this.method = method;
  }

  public VirtualWanMacSettingOpenApiVo mac(String mac) {
    this.mac = mac;
    return this;
  }

  /**
   * Device MAC. When [method] is set, parameter [mac] should not be empty.
   * @return mac
  */
  @ApiModelProperty(value = "Device MAC. When [method] is set, parameter [mac] should not be empty.")

@Pattern(regexp="[A-Fa-f0-9]{1}[02468aceACE]{1}([-:][A-Fa-f0-9]{2}){5}") 
  public String getMac() {
    return mac;
  }

  public void setMac(String mac) {
    this.mac = mac;
  }


  @Override
  public boolean equals(Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    VirtualWanMacSettingOpenApiVo virtualWanMacSettingOpenApiVo = (VirtualWanMacSettingOpenApiVo) o;
    return Objects.equals(this.method, virtualWanMacSettingOpenApiVo.method) &&
        Objects.equals(this.mac, virtualWanMacSettingOpenApiVo.mac);
  }

  @Override
  public int hashCode() {
    return Objects.hash(method, mac);
  }

  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class VirtualWanMacSettingOpenApiVo {\n");
    
    sb.append("    method: ").append(toIndentedString(method)).append("\n");
    sb.append("    mac: ").append(toIndentedString(mac)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }
}

